package com.caimei365.tools.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/12/30
 */
@FeignClient("CAIMEI365-CLOUD-COMMODITY")
public interface CommodityFeign {
    /**
     * 更新商品搜索索引
     * @param productId 商品id
     */
    @PostMapping("/commodity/search/index/update/product")
    String updateProductIndex(@RequestParam Integer productId);
}
