package com.caimei365.tools.model.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/10/26
 */
@Data
public class CouponDateBo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 优惠券id
     */
    private Integer couponId;
    /**
     * 使用开始时间（有效期）
     */
    @JsonFormat(pattern = "yyyy.MM.dd", timezone = "GMT+8")
    private Date startDate;

    /**
     * 使用结束时间（有效期）
     */
    @JsonFormat(pattern = "yyyy.MM.dd", timezone = "GMT+8")
    private Date endDate;
}
