package com.caimei365.tools.model.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/10/26
 */
@Data
public class HeheCouponBo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 优惠券id
     */
    private Integer couponId;

    /**
     * 优惠券优惠金额
     */
    private Double couponAmount;

    /**
     * 优惠券类型：1活动券 2专享券 3新人券 4好友分享券 5好友消费券
     */
    private Integer couponType;

    /**
     * 专享券对应的用户id，以，隔开
     */
    private String userIds;
}
