package com.caimei365.tools.model.po;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/5/31
 */
 @Data
public class LogisticsInfoPo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;
    /** 订单ID */
    private Long orderId;
    /** 认证通机构ID */
    private Long authId;
    /** 快递单号 */
    private String nu;
    /** 快递单当前的状态:-1单号错误，0在途，1揽收，2疑难，3签收，4退签(货物退回发货人并签收)，5派件，6退回，7转单，10待清关，11清关中，12已清关，13清关异常，14收件人拒签 */
    private String state;
    /** 物流跟踪信息 */
    private String info;
    /** 物流公司代码 */
    private String logisticsCompanyCode;
    /** 最后更新时间 */
    private Date updateDate;
    /** 认证通机构收货人手机号 */
    private String mobile;
}
