package com.caimei365.tools.service;

import com.caimei365.tools.model.ResponseJson;
import com.kuaidi100.sdk.response.QueryTrackResp;


/**
 *  查询物流
 *
 * @author : Charles
 * @date : 2021/5/18
 */
public interface LogisticsService {
    /**
     * 智能获取物流信息
     *
     * @param number      快递单号
     * @param companyCode 快递公司的编码
     * @param mobile      收/寄件人的电话号码(顺丰必填)
     */
    ResponseJson<QueryTrackResp> getLogisticsByNumber(String number, String companyCode, String mobile);

}
